Package org.apache.solr.client.solrj.impl

## Class BaseHttpSolrClient.RemoteSolrException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.client.solrj.impl.BaseHttpSolrClient.RemoteSolrException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BaseHttpSolrClient.RemoteExecutionException`

Enclosing class:
  BaseHttpSolrClient

    public static class BaseHttpSolrClient.RemoteSolrException
    extends SolrException

Subclass of SolrException that allows us to capture an arbitrary HTTP status code that may have been returned by the remote server or a proxy along the way.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

### Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`ERROR_CLASS, metadata, ROOT_ERROR_CLASS`

### Constructor Summary

Constructors
`RemoteSolrException​(String remoteHost, int code, String msg, Throwable th)`

### Method Summary

### Methods inherited from class org.apache.solr.common.SolrException

`code, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteSolrException

    public RemoteSolrException​(String remoteHost,
                               int code,
                               String msg,
                               Throwable th)

Parameters:
  `remoteHost` - the host the error was received from
  `code` - Arbitrary HTTP status code
  `msg` - Exception Message
  `th` - Throwable to wrap with this Exception